#!/bin/bash
if [ ! -d $HOME/.pyNeighborhood ];then
   mkdir $HOME/.pyNeighborhood
   chown $USER:$USER $HOME/.pyNeighborhood
fi
if [ ! -d $HOME/Network ];then
   mkdir -p $HOME/Network
   chown -R $USER:$USER $HOME/Network
fi
if [ ! -d $HOME/.smb ];then
   mkdir -p $HOME/.smb
   chown -R $USER:$USER $HOME/.smb
   chown -R $USER:$USER $HOME/.smb/*.conf
   chmod 600 $HOME/.smb/*.*
fi
if [ ! -r $HOME/.linuxmint/mintDesktop ];then
	mkdir -p $HOME/.linuxmint
	touch $HOME/.linuxmint/mintDesktop
	touch $HOME/.linuxmint/mintDesktop_smb_browsing	
	mkdir -p $HOME/Network	
	chown -R $USER:$USER $HOME/.linuxmint
	chown -R $USER:$USER $HOME/Network
fi

CONTENT2='delete_dirs = True'
CONTENT3='file_managers = thunar|xterm -e mc'
if [ ! -f $HOME/.pyNeighborhood/options.conf ];then
	touch $HOME/.pyNeighborhood/options.conf
	echo mount_directory = $HOME/Network >> $HOME/.pyNeighborhood/options.conf
	echo $CONTENT2 >> $HOME/.pyNeighborhood/options.conf
	echo $CONTENT3 >> $HOME/.pyNeighborhood/options.conf
	chown $USER:$USER $HOME/.pyNeighborhood
	chown $USER:$USER $HOME/.pyNeighborhood/*
	chmod 600 $HOME/.pyNeighborhood/*
fi
if [ ! -d $HOME/Network/* ];then
	chown -R $USER:$USER $HOME/Network
fi
